%define upstream_name gitdb
%define name    python-%{upstream_name}
%define version 0.5.3
%define release %mkrel 1

Name: 		%{name}
Version: 	%{version}
Release: 	%{release}
Summary: 	Git Object Database
License:	BSD
Group: 		Development/Python
Url: 		http://pypi.python.org/pypi/gitdb
Source0: 	http://pypi.python.org/packages/source/g/gitdb/gitpython-developers-gitdb-%{version}-0-g4524faf.tar.gz
BuildRequires:  python-distribute
BuildRequires:  python-async
BuildRequires:  python-smmap
Requires:       python-async
Requires:       python-smmap
BuildRoot:      %{_tmppath}/%{name}-%{version}

%description
GitDB is a Python git object database.

%prep
%setup -q -n gitpython-developers-gitdb-4524faf

%build
python setup.py build

%install
rm -rf %{buildroot}
python setup.py install --root=%{buildroot} --install-purelib=%{python_sitelib}

rm -f %{buildroot}%{python_sitelib}/gitdb/README
rm -f %{buildroot}%{python_sitelib}/gitdb/AUTHORS

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc AUTHORS README.rst
%{python_sitearch}/gitdb
%{python_sitearch}/gitdb-%{version}-py%{pyver}.egg-info


%changelog
* Fri Jul 01 2011 Guillaume Rousse <guillomovitch@mandriva.org> 0.5.3-1mdv2011.0
+ Revision: 688472
- new version

* Tue Jun 28 2011 Guillaume Rousse <guillomovitch@mandriva.org> 0.5.2-2
+ Revision: 687679
- force python-async dependency

* Mon Jun 27 2011 Michael Scherer <misc@mandriva.org> 0.5.2-1
+ Revision: 687457
- the rpm is arch dependent, but the module do not build due to various issue fixed in
  patch1 ( ie, export the symbol before linking ). However, since the setup.py
  script ignored failures, it went unnoticed.

  + Guillaume Rousse <guillomovitch@mandriva.org>
    - import python-gitdb

